# Class Tuple<A,B>

java.lang.Object
org.snpeff.util.Tuple<A,B>

Type Parameters:
  `A` -
  `B` -

public class Tuple<A,B> extends Object
Tuple: A pair of objects

Author:
  pablocingolani

## Field Summary

Fields
Modifier and Type
Field
Description
`final A`
`first`
`final B`
`second`

## Constructor Summary

Constructors
Constructor
Description
`Tuple(A first, B second)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object other)`
`A`
`getFirst()`
`B`
`getSecond()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### first

public final A first

### second

public final B second

## Constructor Details

### Tuple

public Tuple(A first, B second)

## Method Details

### equals

public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

### getFirst

public A getFirst()

### getSecond

public B getSecond()

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`